﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Xilium.CefGlue;

namespace CefDemo.bs
{
    public partial class BsCtl
    {
        CefBrowser bs;
        Control parent;
        public BsCtl(Control ctl)
        {
            parent = ctl;
            var cwi = CefWindowInfo.Create();
            cwi.SetAsChild(parent.Handle, new CefRectangle(0, 0, parent.Width, parent.Height));
            var bc = new BsClient();
            bc.OnCreated += bc_OnCreated;
            var bs = new CefBrowserSettings() { };
            CefBrowserHost.CreateBrowser(cwi, bc, bs, "http://www.cnblogs.com/liulun");
            parent.SizeChanged += parent_SizeChanged;
        }

        void bc_OnCreated(object sender, EventArgs e)
        {
            bs = (CefBrowser)sender;
            var handle = bs.GetHost().GetWindowHandle();
            ResizeWindow(handle,parent.Width,parent.Height);
        }

        void parent_SizeChanged(object sender, EventArgs e)
        {
            if (bs != null)
            {
                var handle = bs.GetHost().GetWindowHandle();
                ResizeWindow(handle, parent.Width, parent.Height);                
            }
        }
        private void ResizeWindow(IntPtr handle, int width, int height)
        {
            if (handle != IntPtr.Zero)
            {
                NativeMethod.SetWindowPos(handle, IntPtr.Zero,
                    0, 0, width, height,
                    0x0002 | 0x0004
                    );
            }
        }
        public void LoadUrl(string url)
        {
            bs.GetMainFrame().LoadUrl(url);
        }
    }
}
